Summary: DNSKEY trust anchor update utility that uses RFC-5011
Name: autotrust
Version: 0.3.1
Release: 2%{?dist}
License: BSD
Url: http://www.nlnetlabs.nl/%{name}/
Source: http://www.nlnetlabs.nl/downloads/%{name}-%{version}.tar.gz
Source1: autotrust.conf
Source2: autotrust.cron
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ldns-devel >= 1.3.0, unbound-devel >= 1.0.0
Requires: anacron, dnssec-conf

%description
autotrust takes care of keeping your DNSSEC trust anchors up to date. It
is RFC5011 compliant, except for the query intervals and the retry timers.
autotrust is meant to run from commandline or in a cron job. If we want to
follow the values recommended by RFC5011, autotrust should run as daemon. 

%prep
%setup -q

%build
%configure --disable-rpath 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} INSTALL="%{__install} -p" install 
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}/
install -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/autotrust
rm %{buildroot}%{_sysconfdir}/%{name}/autotrust.conf.sample

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_sbindir}/autotrust
%doc doc/*
%{_mandir}/*/*
%dir %{_sysconfdir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/autotrust.conf
%attr(0755,root,root) %{_sysconfdir}/cron.daily/autotrust

%changelog
* Tue Nov 24 2009 Paul Wouters <paul@xelerance.com> - 0.3.1-2
- Rebuild against new libunbound

* Wed Oct 14 2009 Paul Wouters <paul@xelerance.com> - 0.3.1-1
- Updated to autotrust 0.3.1
- Try restarting running nameservers from the autotrust cron job
- Use the "named" version generated by dnssec-configure as trust anchor includes

* Wed Jan 21 2009 Paul Wouters <paul@xelerance.com> - 0.2.1-0.2.rc1
- Drop sysconfig argument for configure
- Merged changelog entry to avoid rpm warning 

* Wed Jan 21 2009 Paul Wouters <paul@xelerance.com> - 0.2.1-0.1.rc1
- Drop regeneration of configure - does not work on rawhide
- Fix version/release tag
- Removed merged in patch. updated to upstream which fixes the reported autoconf issues.

* Tue Dec  2 2008 Paul Wouters <paul@xelerance.com> - 0.2.0-3
- Use upstream svn patch for multiple resolvers and defaults
- Don't override unused libdir
- Cleanup and run autoreconf
- Added missing dependancies (anacron, automake, libtool)
- Fix permission on cron job.

* Fri Nov 28 2008 Paul Wouters <paul@xelerance.com> - 0.2.0-2
- Fix typo in resolver-pidfile: option in autotrust.conf

* Thu Nov 27 2008 Paul Wouters <paul@xelerance.com> - 0.2.0-1
- Updated to newest version
- Fix default file locations
- Allow resolver-pid: to take multiple filenames, seperated by a space

* Fri Nov 22 2008 Paul Wouters <paul@xelerance.com> - 0.1.0-1
- Initial version
